Bug 167455 - introduce means to prefer local mirrors without missing security updates only available in the master repo
introduce means to prefer local mirrors without missing security updates only...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 15:41 EDT by Alexandre Oliva
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 15:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2005-09-02 15:41:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
I have access to local mirrors of Fedora updates that are only updated daily.  I'd like to use them, instead of the master repositories and other mirrors, because downloading from it is so much faster.  However, I wouldn't like to miss out on security updates that are released in the middle of the day.

I've tried ordering entries in a single .repo file, placing the preferred repository before or after the master repository, to no avail.  It appears that, when the same package is available from multiple repositories, yum will decide which repository to use at random.  I've even seen a single update transaction grab some packages from the local repository, and some from the remote repository, even though all packages I checked were available from both.

It would be nice if one could manage such local replicas of repositories in a more predictable way.

Version-Release number of selected component (if applicable):
yum-2.4.0-0.fc4 yum-2.4.0-2

How reproducible:
Always

Steps to Reproduce:
1.Set up a local mirror of an updates repository
2.Configure yum to use both the local mirror and the remote repository
3.Start an update session with very many packages (say, install a pristine FC4 and update with this set up)

Actual Results:  You'll get some packages from the local repo and some packages from the remote repo.

Expected Results:  Ideally it would be consistent, and in a documented way, such that one could create a .repo config file and get that to express that one repository should be preferred over another.  This could be implied from ordering (which repo is listed first, or last, but this wouldn't work very well with one-repo-per-file), or by a priority number specified in the repo config, or something like that.

Additional info:
Comment 1 Jeremy Katz 2005-09-21 15:40:12 EDT
Repository priorities just make things more confusing, especially in the
presence of mirror lists.  This could be done as a plugin if you really want it

Note You need to log in before you can comment on or make changes to this bug.